> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Connection

> Update a connection.



## OpenAPI

````yaml api-reference/openapi.json put /api/v1/connections/{connection_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/connections/{connection_id}:
    put:
      tags:
        - Connections
      summary: Update Connection
      description: Update a connection.
      operationId: update_connection_api_v1_connections__connection_id__put
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            title: Connection Id
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectionUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionRead'
        '404':
          description: Connection not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    ConnectionUpdate:
      properties:
        label:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Label
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
          description: Updated configuration
        status:
          anyOf:
            - $ref: '#/components/schemas/ConnectionStatus'
            - type: 'null'
          description: Updated status
      type: object
      title: ConnectionUpdate
      description: Schema for updating an existing connection.
    ConnectionRead:
      properties:
        label:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Label
          description: Human-readable label for the connection
        integration:
          type: string
          title: Integration
          description: Integration name (slack, github, etc.)
        integration_type:
          $ref: '#/components/schemas/IntegrationType'
          description: >-
            Type of integration (connectors, mcp, tool, model, storage, api,
            custom)
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Integration-specific configuration
        id:
          type: string
          title: Id
        credential_id:
          type: string
          title: Credential Id
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        workspace_id:
          type: string
          title: Workspace Id
        created_by:
          type: string
          title: Created By
        status:
          $ref: '#/components/schemas/ConnectionStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - integration
        - integration_type
        - id
        - credential_id
        - user_id
        - workspace_id
        - created_by
        - status
        - created_at
        - updated_at
      title: ConnectionRead
      description: Schema for reading connection data.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectionStatus:
      type: string
      enum:
        - active
        - inactive
        - testing
        - error
        - expired
      title: ConnectionStatus
    IntegrationType:
      type: string
      enum:
        - connectors
        - mcp
        - tool
        - model
        - custom
        - storage
        - api
      title: IntegrationType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````